package com.liquidnet.service.kylin.service;

import com.liquidnet.service.base.ResponseDto;

/**
 * <p>
 * 演出 服务类
 * </p>
 *
 * @author liquidnet
 * @since 2021-05-05
 */
public interface IKylinPerformancesService {

    /**
     * 根据 券适用范围查询演出id
     *
     * @param useScope
     * @param busiId
     * @return
     */
    ResponseDto<String> getPerformanceIdByInfo(Integer useScope, String busiId);

    ResponseDto<String> subscribe(String performancesId, Integer sourceType);

    ResponseDto<Integer> isSubscribe(String performancesId);

}
